# Method: signupUrls.create

- [HTTP request](https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#body.request_body)
- [Response body](https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#body.response_body)
- [Authorization scopes](https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#body.aspect)
- [Try it!](https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#try-it)

Creates an enterprise signup URL.

### HTTP request

`POST https://androidmanagement.googleapis.com/v1/signupUrls`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `projectId` | `string` The ID of the Google Cloud Platform project which will own the enterprise. |
| `callbackUrl` | `string` The callback URL that the admin will be redirected to after successfully creating an enterprise. Before redirecting there the system will add a query parameter to this URL named `enterpriseToken` which will contain an opaque token to be used for the [create enterprise](https://developers.google.com/android/management/reference/rest/v1/enterprises/create) request. The URL will be parsed then reformatted in order to add the `enterpriseToken` parameter, so there may be some minor formatting changes. |
| `adminEmail` | `string` Optional. Email address used to prefill the admin field of the enterprise signup form. This value is a hint only and can be altered by the user. If `https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#body.QUERY_PARAMETERS.allowed_domains` is non-empty then this must belong to one of the `https://developers.google.com/android/management/reference/rest/v1/signupUrls/create#body.QUERY_PARAMETERS.allowed_domains`. |
| `allowedDomains[]` | `string` Optional. A list of domains that are permitted for the admin email. The IT admin cannot enter an email address with a domain name that is not in this list. Subdomains of domains in this list are not allowed but can be allowed by adding a second entry which has `*.` prefixed to the domain name (e.g. \*.example.com). If the field is not present or is an empty list then the IT admin is free to use any valid domain name. Personal email domains are always allowed, but will result in the creation of a managed Google Play Accounts enterprise. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android/management/reference/rest/v1/signupUrls#SignupUrl`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidmanagement`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).